var NAME = "Novell Moonlight";
var VERSION = "98064";
var PLID = "@novell.com/" + NAME + ",version=" + VERSION;
var CPU = "i686";

var LOADER = "libmoonloader.so";
var DIR = "moonlight";

var err = SUCCESS;

err = initInstall(NAME, PLID, VERSION);

var re = new RegExp("Linux .*" + CPU);
if (!re.exec(platform)) {
	alert("This package supports Linux " + CPU + " but your browser reports that it is " + platform + ".\nPlease use a package that matches your browser's platform.");
	cancelInstall();
}

/* For some reason Mozilla can only tell us the global plugin directory,
 * so we have to guess it from the user's profile. */
var plugins = getFolder("Profile", "../../plugins");
addFile (PLID, VERSION, LOADER, plugins, null, true);
addDirectory (PLID, VERSION, DIR, plugins, "moonlight", true);

if (err == SUCCESS) {
	err = performInstall ();
	if (err == SUCCESS)
		refreshPlugins(true);
} else {
	cancelInstall(err);
}

if (err == SUCCESS) {
	alert("Succesfully installed " + NAME + " " + VERSION);
}
